"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/builtin/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/builtin/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _withStyles = _interopRequireDefault(require("../styles/withStyles"));

var _Typography = _interopRequireDefault(require("../Typography"));

var _CircularProgress = _interopRequireDefault(require("../CircularProgress"));

var styles = function styles(theme) {
  return {
    root: {
      display: 'flex',
      flexDirection: 'column',
      position: 'relative',
      flex: '1 1 0'
    },
    content: (0, _defineProperty2.default)({
      display: 'flex',
      justifyContent: 'space-between',
      flexDirection: 'column',
      alignItems: 'center',
      flexGrow: 1,
      paddingTop: theme.spacing.small,
      transition: [['background-color', "".concat(theme.transitions.duration.short, "ms")], ['border-color', "".concat(theme.transitions.duration.short, "ms")]],
      border: theme.borders[1],
      boxShadow: theme.shadows[1]
    }, theme.breakpoints.down('sm'), {
      paddingLeft: theme.spacing.xsmall,
      paddingRight: theme.spacing.xsmall,
      marginBottom: theme.spacing.xsmall
    }),
    title: (0, _defineProperty2.default)({
      lineHeight: 1.1
    }, theme.breakpoints.down('sm'), {
      fontSize: theme.typography.pxToRem(14)
    }),
    progress: (0, _defineProperty2.default)({
      opacity: 0.7,
      margin: [[theme.spacing.medium, 0]]
    }, theme.breakpoints.down('sm'), {
      margin: [[theme.spacing.small, 0]]
    }),
    detail: (0, _defineProperty2.default)({
      marginTop: theme.spacing.small,
      marginBottom: theme.spacing.small
    }, theme.breakpoints.down('sm'), {
      fontSize: theme.typography.pxToRem(24),
      marginTop: theme.spacing.xsmall
    })
  };
};

function FunnelBox(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      title = _ref.title,
      help = _ref.help,
      detail = _ref.detail,
      loading = _ref.loading;
  return _react.default.createElement("div", {
    className: (0, _classnames.default)(classes.root, className)
  }, _react.default.createElement("div", {
    className: classes.content
  }, _react.default.createElement(_Typography.default, {
    align: "center",
    className: classes.title,
    variant: "subheading"
  }, title, help), loading ? _react.default.createElement(_CircularProgress.default, {
    className: classes.progress,
    color: "grey",
    size: 32
  }) : _react.default.createElement(_Typography.default, {
    align: "center",
    className: classes.detail,
    variant: "display1"
  }, detail)));
}

FunnelBox.propTypes = process.env.NODE_ENV !== "production" ? {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  detail: _propTypes.default.string.isRequired,
  help: _propTypes.default.node,
  loading: _propTypes.default.bool,
  title: _propTypes.default.string.isRequired
} : {};

var _default = (0, _withStyles.default)(styles)(FunnelBox);

exports.default = _default;